#ifndef OPENIMAGE_H
#define OPENIMAGE_H
#include <QWidget>
#include <QDebug>
#include <QSize>
#include <QFileDialog>
#include <QFileSystemWatcher>
#include "global/variable.h"
#include <kdragwidget.h>
using namespace kdk;
class OpenImage : public KDragWidget
{
    Q_OBJECT
public:
    explicit OpenImage(QWidget *parent = nullptr);

private:
    bool m_isSupportOpen = true;
    void initOpenImage();
    void dragEnterEvent(QDragEnterEvent* event);

public Q_SLOTS:
    void setIsSupportOpen(bool isSupportOpen);

Q_SIGNALS:

};

#endif // OPENIMAGE_H
